package com.fjhx.wms.service.stock;

import com.fjhx.wms.entity.stock.po.StockCheckDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockCheckDetailsVo;
import com.fjhx.wms.entity.stock.dto.StockCheckDetailsSelectDto;
import com.fjhx.wms.entity.stock.dto.StockCheckDetailsDto;


/**
 * <p>
 * 库存盘点明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
public interface StockCheckDetailsService extends BaseService<StockCheckDetails> {

    /**
     * 库存盘点明细分页
     */
    Page<StockCheckDetailsVo> getPage(StockCheckDetailsSelectDto dto);

    /**
     * 库存盘点明细明细
     */
    StockCheckDetailsVo detail(Long id);

    /**
     * 库存盘点明细新增
     */
    void add(StockCheckDetailsDto stockCheckDetailsDto);

    /**
     * 库存盘点明细编辑
     */
    void edit(StockCheckDetailsDto stockCheckDetailsDto);

    /**
     * 库存盘点明细删除
     */
    void delete(Long id);

}
